Bug 975707 - rhc would hang up if using "0" or negative numbers as the limit value
rhc would hang up if using "0" or negative numbers as the limit value
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: N. Harrison Ripps
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 03:53 EDT by joycezhang
Modified: 2015-05-14 22:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:57:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-06-19 03:53:18 EDT
Description of problem:
If trying to use invalid value like "0" or negative numbers as the limit value, rhc commmand would hang up.



Version-Release number of selected component (if applicable):
INT(devenv_3382)
rhc-1.10.3.gem

How reproducible:
always

Steps to Reproduce:
1.Create a scalable app and add some cartridges to the app.
2.rhc ssh app --gears ls --limit -1/0


Actual results:
rhc command hang up and no response.

Expected results:
Invalid argument error is shown.

Additional info:
Comment 1 N. Harrison Ripps 2013-06-19 10:50:26 EDT
Assigned
Comment 2 joycezhang 2013-06-20 02:47:33 EDT
Checked this bug has been fixed with rhc-1.10.4 as below:

# rhc ssh py26s --gears ls --limit -1
--limit must be an integer greater than zero
Usage: rhc ssh <app> [--ssh path_to_ssh_executable]
Pass '--help' to see the full list of options
[root@joycezh errata-rails]# rhc ssh py26s --gears ls --limit 0
--limit must be an integer greater than zero
Usage: rhc ssh <app> [--ssh path_to_ssh_executable]
Pass '--help' to see the full list of options

Message "--limit must be an integer greater than zero" is shown resonably. So this bug can be moved to "verified" once it's on_qa. Thanks.
Comment 3 Wei Sun 2013-06-20 20:28:15 EDT
According to #Comment 2,move this bug to VERIFIED status.

Note You need to log in before you can comment on or make changes to this bug.